[EMAIL PROTECTED] wrote:
Hi
thx for your answer.
The SA Version is 3.2.3
You are right, we are using postfix.
For SA there is an entry in the master.cf of postfix:
filter unix - n n - - pipe
user=filter argv=/home/filter/sc/filter.sh -f ${sender} --
${recipient}
consider using amavisd-new instead of forking a shell every time...
anyway, this is a postfix issue and is better directed to the postfix
users list (followup there please).
to avoid filtering outbound mail,
- for mail submitted via the sendmail command, add
-o content_filter=
to the "pickup" service in master.cf
- for mail submitted via smtp from $mynetworks, use something like this:
smtpd_sender_restrictions =
check_client_access pcre:/etc/postfix/filter_outbound
permit_mynetworks
permit_sasl_authenticated
check_client_acc pcre:/etc/postfix/filter_default
...
== filter_outbound:
/./ FILTER dummy:
== filter_default:
/./ FILTER filter:
all that said, the error you showed (Relay rejected for policy reasons)
doesn't look like a filtering issue nor is it a standard postfix error.
so you'd better find out who is saying so.
The filter.sh:
#!/bin/sh
INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail
SPAMASSASSIN=/usr/bin/spamc
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL;
}
# Clean up when done or when aborting.
trap "rm -f in.$$; rm -f out.$$" 0 1 2 3 15
# Parameter for $SPAMASSASSIN
# -P Pipe message, don't deliver
# -x Disable user config files
# -a Use auto-whitelists
cat | $SPAMASSASSIN > out.$$ || { echo Message content rejected; exit
$EX_UNAVAILABLE; }
$SENDMAIL -i "$@" < out.$$
exit $?
I think thats it or am i wrong?